import request from "@/utils/request";

// 查询重点企业名录列表
export function listEnterprise(query) {
  return request({
    url: "/zongzhi/enterprise/list",
    method: "get",
    params: query,
  });
}

// 查询重点企业名录详细
export function getEnterprise(id) {
  return request({
    url: "/zongzhi/enterprise/" + id,
    method: "get",
  });
}

// 新增重点企业名录
export function addEnterprise(data) {
  return request({
    url: "/zongzhi/enterprise",
    method: "post",
    data: data,
  });
}

// 修改重点企业名录
export function updateEnterprise(data) {
  return request({
    url: "/zongzhi/enterprise",
    method: "put",
    data: data,
  });
}

// 删除重点企业名录
export function delEnterprise(id) {
  return request({
    url: "/zongzhi/enterprise/" + id,
    method: "delete",
  });
}

// 导出重点企业名录
export function exportEnterprise(data) {
  return request({
    url: "/zongzhi/enterprise/export",
    method: "post",
    data,
  });
}
